
Redmine - Defect #3554

The IMAP method for anonymous issue creation doesn't work from revision Revision 2789

2009-06-28 17:06 - Marcel Evenson

Status: Reopened Start date: 2009-06-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

The Anonymous user email mapping from Revision 2789 doesn't work. I'm trying to use the IMAP method to create an issue from

email.

Here is the command I'm using:

rake redmine:email:receive_imap RAILS_ENV="production" host=mail.mydomain.com username=support@mydomain.com

password=mypassword project=support unknown_user=accept

Note: After I run the command the test email in the INBOX is marked as "seen" (so I know its connecting and reading the mailbox

properly) but no issue is created. I've double checked the permissions and the anonymous user has "add issues" permission. There

are no errors in the error log.

Here is my environment:

About your application's environment

Ruby version              1.8.5 (i386-linux)

RubyGems version          1.3.1

Rails version             2.2.2

Active Record version     2.2.2

Action Pack version       2.2.2

Active Resource version   2.2.2

Action Mailer version     2.2.2

Active Support version    2.2.2

Application root          /var/www/vhosts/mydomain.com/httpdocs/redmine

Environment               production

Database adapter          mysql

Database schema version   20090614091200

Related issues:

Related to Redmine - Feature #2230: Issue creation via email from anyone with... New 2008-11-26

History

#1 - 2009-07-01 22:34 - Marcel Evenson

It looks like custom fields can not be required and the project needs to be "public" or anonymous email creation will fail.

#2 - 2009-07-02 20:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Indeed. These rules also apply to ticket creation via email.

#3 - 2009-11-18 10:08 - Jaroslav K.

- Status changed from Closed to Reopened

Hello,

I updated Redmine to latest stable version (0.8.7) but Redmine still not accepts emails from unknown users.

Project for sure is "public" and there are no custom fields assigned to the "support_1" project (and at all custom fields are no required in Redmine).

The command is as follows:

rake -f /apps/redmine-0.8.7/Rakefile redmine:email:receive_imap unknown_user=accept RAILS_ENV="production" host=mail.myhost.com port=143
folder=Inbox project=support_1 username=mymailusername password=mymailpassword

In mailbox I see the mails are marked as read after script execution.

What I'm doing wrong? How can I debug that?

My environment (don't know how to get rails version):

Redmine 0.8.7 stable (mySQL)

ruby 1.8.6 (2007-09-24 patchlevel 111) [i486-linux]

gem 1.3.5

Thank you very much for help.

#4 - 2009-11-18 10:45 - Jaroslav K.

Just to be sure, updated rails to version 2.3.4

Thank you.

#5 - 2009-11-18 21:40 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Jaroslav, this feature is not available in the 0.8 stable branch.

It's currently in trunk and will be part of 0.9.

#6 - 2010-02-09 16:16 - Kevin M.

- Status changed from Closed to Reopened

Does it already work that users, whom are authenticated but non-member off any project, can create issues via mail in 0.9.2 to a non-public project?

My enviroment:

Redmine 0.9.2 stable (MySQL)

ruby 1.8.7 (2010-01-10 patchlevel 249) [i486-linux]

gem 1.3.5

Rails 2.3.5

I recieve mails via imap and recently updated redmine from 0.8.6 to 0.9.2

before:

rake -f /root/redmine/Rakefile redmine:email:receive_imap RAILS_ENV="production" project=frei tracker=Allgemein priority=urgent status=new

allow_override=project,tracker,category,priority host=ipaddress username=mailuser password=mailpw

that works when i changed models/user.rb to:

def allowed_to?(action, project, options={})

…

role.allowed_to?(action) ### && (project.is_public? || role.member?) ###

…

end

after:

rake -f /root/redmine/Rakefile redmine:email:receive_imap unknown_user=accept RAILS_ENV="production" project=frei tracker=Allgemein

priority=urgent status=new allow_override=project,tracker,category,priority host=ipaddress username=mailuser password=mailpw

and it still won't work... :(

Thank you for help.

#7 - 2010-02-12 11:23 - Kevin M.

Problem seems to be solved.

Changed the following thing:

def allowed_to?(action, project, options={})

…

roles.detect { |role| (project.is_public? || role.member?) &&  role.allowed_to?(action) }

…

end

in
def allowed_to?(action, project, options={})

…

roles.detect { |role| (project.is_public? || role.member?) ||  role.allowed_to?(action) }

…

end

 Thanks!

#8 - 2010-05-20 09:21 - Ivan Grcic

Hi, I'm using v 0.9.3 and I cant make this to work. Its probably because the project isn't public...

I'm using no_permission_check=1 unknown_user=accept parameters. Emails are correctly red, but the issue isn't created.

If I send email with existing user, issue is created.

Regards,

Ivan

#9 - 2010-05-20 09:24 - Ivan Grcic

Oh, my projects ARE public, but I have authentication required in Administration -> Settings -> Authentication tab.

Regards

#10 - 2010-05-20 09:56 - Ivan Grcic

OK, removing authentication required lets my emails from anonymous trough.

#11 - 2011-03-24 09:04 - Toshi MARUYAMA

- Category set to Email receiving
